<?php
//textes
define("TITLE","Simulation d'un moteur de recherche");

define("LEVEL","Niveau :");
define("LEVEL1","Débutant (10-12 ans)");
define("LEVEL2","Intermédiaire (13-15 ans)");
define("LEVEL3","Avancé (16-18 ans)");
define("MODE","Mode :");
define("MODE1","En classe (2 heures)");
define("MODE2","En classe (1 heure)");
define("MODE3","En autonomie");

define("INDEX1","Supposons...");
define("INDEX2","Sur le Web, seulement 10 pages !");

define("INTRO1","<h1>Avant qu'il y ait plein de pages web, John Smith a la bonne idée<br>de créer un <i>outil de recherche</i>... <b>Webfinder</b> ! pour qu'on puisse s'y retrouver.</h1>");
define("INTRO2","<p>Peu à peu, il va complexifier son <i>moteur de recherche</i>...<br>Suivons cette évolution !</p>");

define("MENTIONS1","Mentions légales");
define("MENTIONS2","<p style=\"text-align:justify;font-size:1em;\">Simulation en ligne réalisée par Florian Reynaud, professeur documentaliste, sous licence <a href=\"http://www.gnu.org/licenses/agpl.html\" style=\"display:inline;\" title=\"AGPL (GNU)\">AGPL</a>. Version 2.6. 1er février 2019. Icônes de navigation créées par <a href=\"http://www.flaticon.com/authors/dave-gandy\" title=\"Dave Gandy\">Dave Gandy</a> de <a href=\"http://www.flaticon.com\" title=\"Flaticon\">www.flaticon.com</a> sous licence <a href=\"http://creativecommons.org/licenses/by/3.0/\" title=\"Creative Commons BY 3.0\">CC BY 3.0</a>. Icône de fin créée par <a href=\"http://www.freepik.com\" title=\"Freepik\">Freepik</a> de <a href=\"http://www.flaticon.com\" title=\"Flaticon\">www.flaticon.com</a> sous licence <a href=\"http://creativecommons.org/licenses/by/3.0/\" title=\"Creative Commons BY 3.0\">CC BY 3.0</a>. Toutes les données numériques de cette simulation sont fausses.</p>");

define("REVENIR","revenir");
define("CONTINUER","continuer");
define("SEARCH","Rechercher...");
define("VERIF","Vérifier");
define("VALID","Valider");
define("TRYAGAIN","Essaie encore !");
define("TRYAGAIN1","C'est bon pour le premier, pas pour le deuxième.");
define("TRYAGAIN2","C'est bon pour le deuxième, pas pour le premier.");

define("M0INSTRU1","Pour commencer, consulte la <b>base de données</b> de WebFinder,<br>dans le tableau ci-dessous, qui contient les dix pages web :");
define("M0INSTRU2","Voici ce qu'il y a dans la base de données,<br>avec une page web par ligne :");
define("M1INSTRU1","Toutes les pages existantes traitent de la digestion.");
define("M1INSTRU2","Maintenant, effectue une recherche sur la <b>digestion</b>.");

define("BDD","La base de données :");
define("RESULT","Résultats de la recherche");
define("ERROR","Il n'y a pas de résultat avec les mots clés<br>que tu as tapés en requête.<br>*<br>N'oublie pas qu'il n'y a que dix pages,<br>et que c'est une simulation, pas un vrai moteur !<br>*<br> Essaie de nouveau,<br>une recherche au sujet de la <b>digestion</b>");

define("REQUETE","Pour rappel, tu as tapé ");
define("OBSERV","Observe les résultats (dans la partie de gauche).");
define("OBSERV1","D'après toi, et en observant la base de données");
define("OBSERV2","sur quel critère (ou colonne) sont ordonnés les 10 résultats ?");
define("OBSERV3","sur quels <b>deux critères</b> sont ordonnés les 10 résultats ?");
define("OBSERV4","sur quels <b>trois critères</b> sont ordonnés les 10 résultats ?");
define("OBSERV5","Quel critère départage les pages à égalité de <i>page rank</i> ?");
define("TRI1","Tu peux trier par colonne en cliquant sur un titre de colonne.");
define("TRI2","Pour trier deux ou trois colonnes, maintiens la touche SHIFT enfoncée<br>et clique sur la nouvelle colonne pour trier.");

define("CRITERE1","Le nombre de mots clés (la pertinence)");

define("TABHEADER0","<th>Titre de la page web<br>(&lt; title &gt;)</th><th>Adresse URL</th><th>Texte</th><th>Nombre de liens, sur le Web, vers cette page</th>");
define("TABHEADER1","<th>Nombre de mots du lemme \"digestion\" dans le texte</th>");
define("TABHEADER2","<th>Score pour les visites</th>");
define("TABHEADER3","<th>Score pour les mots</th><th>Page Rank</th>");
define("TABHEADER4","<th>Nombre de visites sur cette page</th>");
define("TABHEADER5","<th>Score pour les liens</th>");
define("TABHEADER6","<th>Droits</th>");

define("CHECK1","mot"); //pour mots clés
define("CHECK2","perti"); //pour pertinence
define("CHECK3","visit"); //pour visites
define("CHECK4","popula"); //pour popularité
define("CHECK5","lien"); // pour liens
define("CHECK6","notori"); //pour notoriété
define("CHECK7","+"); // pour addition, en testant aussi check1 et check3
define("CHECK8","digestion sur Wikip");
define("CHECK9","Annonce");
define("CHECK10","droits");
define("CHECK11","problèmes digestifs");

define("SOLUCE","Solution :");
define("SOLUCE1","<p class=\"border_blue\">Les pages sont classés par nombre de mots du <i>lemme</i> \"digestion\"<br><span style=\"font-size:0.8em;\">(qui comprend digestion, digestif, toutes les conjugaisons du verbe digérer, etc.)</span><br>*<br>C'est une méthode pour donner de la <b>pertinence</b> aux résultats<br>(pour répondre à la demande de l'internaute, selon ses <b>mots clés</b>)</p>");
define("SOLUCEOUBLI","<p class=\"border_blue\">Une colonne \"Droits\" permet de contrôler s'il y a le droit d'intégrer chaque page dans les résultats (1) ou non (0).<br><span style='font-size:0.7em;'>Un <b>algorithme</b> va sélectionner (SELECT), dans la table des pages web (FROM pagesweb),<br>les pages avec droit (WHERE droits = 1)<br>Ce qui donne le code : <span style='color:blue;'>&#36;resultats</span> = <span style='color:blue;'>&#36;bdd</span>->query(<span style='color:green;'>\"SELECT * FROM pagesweb WHERE droits = 1\"</span>);<br>La page sans droit est : ");
define("SOLUCE2","<p class=\"border_blue\">Les pages sont classées par nombre de mots, mais aussi de visites.<br>A un critère de <b>pertinence</b>, on ajoute ainsi la <b>popularité</b>.<br>*<br>Pour chaque nombre, on établit un <b>score</b>.<br>Leur addition établit le <b>Page Rank</b></p>");
define("SOLUCEALGO","<p class=\"border_blue\" style='text-align:left;'>page_rank = score_mots+score_visites<br>&nbsp;<br><span style='font-size:0.8em;'><b>Dans le détail :</b><br><span style='color:blue;'>&#36;resultats</span> [prépare la liste des pages]<br> = <span style='color:blue;'>&#36;bdd</span>->query [fait une requête dans la base de données]<br>(<span style='color:green;'>\"SELECT</span> [sélectionne :]<br><span style='color:green;'>titre,</span> [le titre]<br><span style='color:green;'>url,</span> [l'url pour créer le lien]<br><span style='color:green;'>SUBSTR(url,1,55),</span> [le début de l'URL, <b>les 55 premiers caractères</b>]<br><span style='color:green;'>SUBSTR(texte,1,300)</span> [le début du texte de la page]<br><span style='color:green;'>FROM pagesweb</span> [dans la table des pages web]<br><span style='color:green;'>ORDER BY (score_mots+score_visites)</span> [<b>selon le page rank</b>]<br><span style='color:green;'>DESC,</span> [<b>du plus grand au plus petit</b>]<br><span style='color:green;'>score_mots DESC\"</span>); [selon le nombre de mots en cas d'égalités]</span>");
define("SOLUCE3","<table class='border_blue'><tr><td colspan='2'>Les pages sont classées selon :<br>&nbsp; <br>&nbsp; <br><ul style=\"text-align:left;margin-left:100px;\"><li>le nombre de mots du lemme \"digestion\" (<b>pertinence</b>)</li><li>le nombre de visites (<b>popularité</b>)</li><li>et le nombre de liens depuis d'autres pages web (<b>notoriété</b>).</li></ul>*<br>Pour chaque nombre, on établit un <b>score</b>.<br>Leur addition établit le <b>Page Rank</b></td></tr></table>");
define("SOLUCEINDEX","<p class=\"border_blue\">La page en question est nommée <b>\"La digestion sur Wikipédia\"</b>.<br>C'est la <b>copie d'un article de Wikipédia</b>.<br>*<br>Quand on consulte le code source de la page,<br>on remarque qu'elle n'est constituée qu'avec le <b>langage HTML</b> et qu'une ligne de code précise aux robots de ne pas indexer la page :<br><span style='color:blue;'>&lt;meta</span> <span style='color:red;'>name</span>=<span style='color:green;'>\"robots\"</span> <span style='color:red;'>content</span>=<span style='color:green;'>\"noindex\"</span> <span style='color:blue;'>/&gt;</span></p>");
define("SOLUCEPUB","<p class=\"border_blue\">On reconnaît qu'il y a une publicité avec le mot <b>Annonce</b>.<br>Le lien de la publicité nous dirige vers un <b>site commercial</b>.</p>");

define("NEXT","Passons à la suite !");
define("NEXT1","<p class=\"border_red\">John Smith pense qu'il faut améliorer son moteur.<br>Le nombre de mots clés, selon lui, ça ne suffit pas.<br>*<br>Fais de nouveau une recherche autour de la <b>digestion</b><br>pour observer les nouveautés qu'il propose.</p>");
define("NEXTOUBLI1","<p class=\"border_red\">Une nouvelle page est indexée dans la <b>base de données</b>,<br>grâce à un <b>robot</b> programmé pour parcourir le Web.<br>*<br>Mais aussitôt l'auteur de l'article a fait valoir son <b>droit à l'oubli</b>, <br>en attendant que l'éditeur du site supprime l'article.<br>*<br>Quel nom porte la colonne de la base qui permet de gérer cette exception ?");
define("NEXTOUBLI2","<br>*<br>Quel est le nom de la page qui n'apparaît pas dans les résultats ?<br><span style='font-size:0.8em;'>(fais un copier coller depuis la base)");
define("NEXT2","<p class=\"border_red\">John Smith pense qu'il faut améliorer son moteur.<br>Encore un critère !<br>*<br>Fais de nouveau une recherche autour de la <b>digestion</b>.</p>");
define("NEXTALGO","La cuisine des algorithmes :");
define("NEXTALGO1","<table class=\"border_red\"><tr><td colspan='2'>On peut comparer un algorithme à une recette de cuisine :</td></tr><tr><th>La recette de cuisine :</th><th>L'algorithme :</th></tr><tr><td>1. Des ingrédients et des quantités</td><td>1. Des entrées et des données</td></tr><tr><td>2. Des étapes de recette</td><td>2. Des instructions informatiques</td></tr><tr><td>3. Un produit : le plat</td><td>3. Un produit : l'affichage de résultats</td></tr><tr><td colspan='2'><b>Par exemple :</b><br>&nbsp; <br>1. Je dispose de<ul><li>une liste de dix pages web (entrées)</li><li>avec des données sur chaque page (titre, url, texte, nombre de visites...)</li><li>et le calcul du nombre de mots des lemmes à partir des mots clés de la requête.</li></ul>2. Les instructions sont :<ul><li>on récupère le nombre de mots à chaque page ;</li><li>on calcule le <i>page rank</i> de chaque page (addition d'un score pour les lemmes et d'un score pour les visites) ;</li><li>on ordonne les pages du plus grand <i>page rank</i> au plus petit ;</li><li>pour chaque résultat, dans l'ordre, on affiche le titre, le début de l'URL et le début du texte.</li></ul>3. Le produit, c'est l'affichage des résultats</td></tr><tr><td colspan='2'>Les résultats affichés à gauche sont proposés à partir de l'instruction suivante :<br><span style='font-size:0.8em;'><span style='color:blue;'>&#36;resultats</span> = <span style='color:blue;'>&#36;bdd</span>->query(<span style='color:green;'>\"SELECT titre, url, SUBSTR(url,1,55), SUBSTR(texte,1,300) FROM pagesweb <br>ORDER BY (score_mots+score_visites) DESC, score_mots DESC\"</span>);</span><br>&nbsp; <br>Quelle addition permet d'obtenir le <i>page rank</i> dans l'instruction ci-dessus ?<br>(fais un copier-coller)");
define("NEXTALGO2","<br>&nbsp; <br>Combien de caractères de l'adresse URL sont-ils affichés dans chaque résultats ?");
define("NEXTALGO3","<br>&nbsp; <br>Que signifie 'DESC' ?<br><select name=\"algo3\"><option></option><option value=\"ptog\">du plus petit au plus grand</option><option value=\"gtop\">du plus grand au plus petit</option></select>");
define("NEXTPUB1","<p class=\"border_red\">John Smith pourrait aller encore plus loin,<br>par exemple en enregistrant ta propre navigation<br>pour savoir ce qui te plaît.<br>*<br>Pour l'instant, il se contente d'ajouter de la <b>publicité</b><br>pour gagner un peu d'argent à chaque clic !<br>*<br>Quel est le mot qui permet de repérer la publicité ?");
define("NEXTPUB2","<br>&nbsp; <br>Vers quel type de site web nous dirige le lien de la publicité ?<br><select name=\"pub2\"><option></option><option value=\"jour\">Un journal en ligne</option><option value=\"comm\">Un site commercial</option><option value=\"ency\">Une encyclopédie en ligne</option></select>");
define("NEXTINDEX1","<p class=\"border_red\">Les <b>robots</b> du moteur de recherche ont découvert une nouvelle page.<br>Pourtant, celle-ci leur donne l'instruction de <b>ne pas l'indexer</b>.<br>Elle est enregistrée dans la base de données,<br>mais sans calcul de <i>page rank</i>.<br>*<br>Quel est le titre de cette page ?");
define("NEXTINDEX2","<br>&nbsp; <br>Quelle affirmation est vraie au sujet de cette page ?<br><input type=\"radio\" name=\"index2\" value=\"wiki\" />Elle est située dans le site Wikipédia<br><input type=\"radio\" name=\"index2\" value=\"faux\" />C'est un faux article de Wikipédia<br><input type=\"radio\" name=\"index2\" value=\"copy\" />C'est la copie d'un article de Wikipédia");
define("NEXTINDEX3","<br>&nbsp; <br>Quel est le langage utilisé pour l'affichage de cette page ?");
define("NEXTINDEX4","<br>&nbsp; <br>Quelle est la ligne de code qui demande aux robots<br>de ne pas indexer la page ?");
define("NEXTINDEX5","<br>&nbsp; <br>Consulte cette page et son code source en récupérant son adresse URL<br>et réponds aux questions suivantes :");
define("NEXTINDEX6","<br>&nbsp; <br>Consulte cette page et son code source en récupérant son adresse URL<br>et réponds à la question suivante :");

define("RECAP","Récapitulons !");
define("RECAP1","Qu'est-ce que la pertinence d'une page web ?");
define("RECAP2","Qu'est-ce que la popularité d'une page web ?");
define("RECAP3","Qu'est-ce que la notoriété d'une page web ?");
define("RECAP4","Qu'est-ce qu'un algorithme ?");
define("RECAP5","Qu'est-ce qu'une base de données ?");
define("RECAP6","Qu'est-ce que le droit à l'oubli ?");
define("RECAP7","Comment fonctionne l'indexation pour un moteur de recherche ?");
define("RECAPREP1","Pertinence :");
define("RECAPREP2","Popularité :");
define("RECAPREP3","Notoriété :");
define("RECAPREP4","Algorithme :");
define("RECAPREP5","Base de données :");
define("RECAPREP6","Droit à l'oubli :");
define("RECAPREP7","Indexation :");

define("END","3 recherches identiques, 3 algorithmes différents, 3 page ranks différents ");
?>
