<?php session_start(); ?>
<!doctype html>
<?php 
	$filename = 'db/wf_connect_data.php';
	if (file_exists($filename)) {
		include('db/wf_connect_data.php');
	}
	else {
		include('db/_wf_connect_data.php');
	}
	@$bdd = mysqli_connect($server, $user, $pwd);
?>
<html>
	<head>
		<title>Webfinder - 
		<?php $langue='fr';
		if(isset($_POST['fr'])) { $_SESSION['lang'] = 1; }
		if(isset($_POST['en'])) { $_SESSION['lang'] = 2; }
		if(!$bdd){
			echo 'Simulation d\'un moteur de recherche / of a search engine'; }
		else if(!mysqli_select_db($bdd,$base)) { echo 'Simulation d\'un moteur de recherche / of a search engine'; }
		else { $langtype=1; require_once('include/lang.php'); echo TITLE; } ?></title>
		<meta charset="
		<?php if(!$bdd){
				echo 'utf-8'; }
			else if(!mysqli_select_db($bdd,$base)) { echo 'utf-8'; }
			else { $langtype=1; require_once('include/lang.php'); echo $charset; } ?>
		" />
		<link rel="stylesheet" href="css/wfstyle.css">
		<script language="javascript">
		function toggleDiv(divid){
			if(document.getElementById(divid).style.display == 'none'){
				document.getElementById(divid).style.display = 'block';
			}else{
				document.getElementById(divid).style.display = 'none';
			}
		}
		</script>
	</head>
	
	<body>
	<section class="intro">
		<?php 
		if(!$bdd){
			echo '<p><a href="install.php">Installer Webfinder</a><br>Webfinder existe en version française et en version anglaise.<br>Webfinder is available in French and English.</p>';
		}
		else if(!mysqli_select_db($bdd,$base)){
			echo '<p><a href="install.php">Installer Webfinder</a><br>Webfinder existe en version française et en version anglaise.<br>Webfinder is available in French and English.</p>';
		}
		else {?>
		<div class="flags">
			<form name="fr" action="" method="post">
				<input type="hidden" name="fr" value="1" />
				<input type="image" src="img/fr.png" name="lang" value="1" alt="fr" />
			</form>
			<form name="en" action="" method="post">
				<input type="hidden" name="en" value="2" />
				<input type="image" src="img/en.png" name="lang" value="2" alt="en" />
			</form>
		</div>
		<h1><?php echo INDEX1; ?></h1>
		<p><?php echo INDEX2; ?></p>
		<table id="tab_intro">
			<?php echo '
			<tr>
				<td><img src="img/'.$langue.'/page01.png" alt="page1" /></td>
				<td><img src="img/'.$langue.'/page02.png" alt="page2" /></td>
				<td><img src="img/'.$langue.'/page03.png" alt="page3" /></td>
				<td><img src="img/'.$langue.'/page04.png" alt="page4" /></td>
				<td><img src="img/'.$langue.'/page05.png" alt="page5" /></td>
			</tr>
			<tr>
				<td><img src="img/'.$langue.'/page06.png" alt="page6" /></td>
				<td><img src="img/'.$langue.'/page07.png" alt="page7" /></td>
				<td><img src="img/'.$langue.'/page08.png" alt="page8" /></td>
				<td><img src="img/'.$langue.'/page09.png" alt="page9" /></td>
				<td><img src="img/'.$langue.'/page10.png" alt="page10" /></td>
			</tr>';?>
		</table>
		
		<?php 
		if(!isset($_SESSION['level'])) {
			$_SESSION['level']="deb";
		}
		if(!isset($_SESSION['mode'])) {
			$_SESSION['mode']="teach1";
		}
		?>
		<div class="options_footer_right">
			<form action="intro.php" method="post" name="intro">
				<table id="tab_options"><tr>
					<td><?php echo LEVEL; ?>
					<br><input type="radio" name="niv" value="deb" <?php if($_SESSION['level']=="deb") { echo 'checked'; } ?> /><?php echo LEVEL1; ?>
					<br><input type="radio" name="niv" value="int" <?php if($_SESSION['level']=="int") { echo 'checked'; } ?> /><?php echo LEVEL2; ?>
					<br><input type="radio" name="niv" value="adv" <?php if($_SESSION['level']=="adv") { echo 'checked'; } ?> /><?php echo LEVEL3; ?></td>
					<td><?php echo MODE; ?>
					<br><input type="radio" name="mod" value="teach2" <?php if($_SESSION['mode']=="teach2") { echo 'checked'; } ?> /><?php echo MODE1; ?>
					<br><input type="radio" name="mod" value="teach1" <?php if($_SESSION['mode']=="teach1") { echo 'checked'; } ?> /><?php echo MODE2; ?>
					<br><input type="radio" name="mod" value="auto" <?php if($_SESSION['mode']=="auto") { echo 'checked'; } ?> /><?php echo MODE3; ?></td>
					<td><input type="image" name="options" src="img/nav_continuer.png" alt="<?php echo CONTINUER; ?>" /></td>
				</tr></table>
			</form>
		</div>
		<?php }
		
		?>
	</section>
	
	<div class="intro_footer">
		<div class="intro_footer_left">
			<p style="text-align:left;font-size:1em;"><a onmouseover="this.style.textDecoration='underline';" onmouseout="this.style.textDecoration='none';" onmousedown="toggleDiv('divmentions');"><?php echo MENTIONS1; ?></a> - 2016-<?php echo date('Y'); ?></p>
			<div  id="divmentions" style="display:none;">
			<?php echo MENTIONS2; ?></div>
			<div id="divselect" style="display:inline;">
			
			</div>
			
		</div>
	</body>
</html>
